qpid::console::Object::AttributeMap Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::console::Object::AttributeMap Struct Reference

`#include <qpid/console/Object.h>`

List of all members.

## Public Member Functions
void | addRef (const std::string &key, const ObjectId &val)
void | addUint (const std::string &key, uint32_t val)
void | addInt (const std::string &key, int32_t val)
void | addUint64 (const std::string &key, uint64_t val)
void | addInt64 (const std::string &key, int64_t val)
void | addString (const std::string &key, const std::string &val)
void | addBool (const std::string &key, bool val)
void | addFloat (const std::string &key, float val)
void | addDouble (const std::string &key, double val)
void | addUuid (const std::string &key, const framing::Uuid &val)
void | addMap (const std::string &key, const framing::FieldTable &val)

## Member Function Documentation

void qpid::console::Object::AttributeMap::addBool | ( | const std::string & | key,
|  | bool | val
| ) |  |

void qpid::console::Object::AttributeMap::addDouble | ( | const std::string & | key,
|  | double | val
| ) |  |

void qpid::console::Object::AttributeMap::addFloat | ( | const std::string & | key,
|  | float | val
| ) |  |

void qpid::console::Object::AttributeMap::addInt | ( | const std::string & | key,
|  | int32_t | val
| ) |  |

void qpid::console::Object::AttributeMap::addInt64 | ( | const std::string & | key,
|  | int64_t | val
| ) |  |

void qpid::console::Object::AttributeMap::addMap | ( | const std::string & | key,
|  | const framing::FieldTable & | val
| ) |  |

void qpid::console::Object::AttributeMap::addRef | ( | const std::string & | key,
|  | const ObjectId & | val
| ) |  |

void qpid::console::Object::AttributeMap::addString | ( | const std::string & | key,
|  | const std::string & | val
| ) |  |

void qpid::console::Object::AttributeMap::addUint | ( | const std::string & | key,
|  | uint32_t | val
| ) |  |

void qpid::console::Object::AttributeMap::addUint64 | ( | const std::string & | key,
|  | uint64_t | val
| ) |  |

void qpid::console::Object::AttributeMap::addUuid | ( | const std::string & | key,
|  | const framing::Uuid & | val
| ) |  |

The documentation for this struct was generated from the following file:

- qpid/console/Object.h